/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLEmbedElement_H__
#define __GdomHTMLEmbedElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLEmbedElement GdomHTMLEmbedElement;
typedef struct _GdomHTMLEmbedElementClass GdomHTMLEmbedElementClass;


#define GDOM_TYPE_HTML_EMBED_ELEMENT            (gdom_html_embed_element_get_type())
#define GDOM_HTML_EMBED_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_EMBED_ELEMENT, GdomHTMLEmbedElement))
#define GDOM_HTML_EMBED_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_EMBED_ELEMENT, GdomHTMLEmbedElement)Class)
#define GDOM_IS_HTML_EMBED_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_EMBED_ELEMENT))
#define GDOM_IS_HTML_EMBED_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_EMBED_ELEMENT))
#define GDOM_HTML_EMBED_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_EMBED_ELEMENT, GdomHTMLEmbedElementClass))

typedef struct _GdomHTMLEmbedElementPrivate GdomHTMLEmbedElementPrivate;

struct _GdomHTMLEmbedElement {
    GdomHTMLElement parent_instance;
    GdomHTMLEmbedElementPrivate *priv;
};

struct _GdomHTMLEmbedElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_embed_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLEmbedElement_H__ */
